
package de.ivu.elect.presentation.gebietsbaum.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.gebietsbaum.entity.Gebietsgruppierung;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(GebietsgruppierungActionMenu.COMPONENT_NAME)
public class GebietsgruppierungActionMenu extends AbstractActionMenuModelBuilder<Gebietsgruppierung> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "gebietsgruppierungActionMenu";

  @Inject
  private GebietsgruppierungEditAction gebietsgruppierungEditAction;

  @Inject
  private GebietsgruppierungDeleteAction gebietsgruppierungDeleteAction;

  public GebietsgruppierungActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<Gebietsgruppierung>> getActionEntriesSorted() {
    List<ActionEntry<Gebietsgruppierung>> result = new ArrayList<>();

    result.add(gebietsgruppierungEditAction);
    result.add(gebietsgruppierungDeleteAction);

    return result;
  }
}
